de.esprit.common.gui

## Class ZException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ClientAlreadyConnectedException, ClientException, ClientNotConnectedException, DataConversionException, DuplicateCurrentVersionException, ErroneousExitStatusException, FileReadException, FileWriteException, GroupHasStillMembersException, InputValidationException, InvalidFieldInputException, InvalidFolderNameException, MissingCurrentVersionException, MissingFileParameterException, MissingSelectionException, MissingSoftwareException, MissingWorkingDirectoryException, NdfException, NoCurrentRecordException, NoMatchingRecordFoundException, ParseException, PermissionException, RecordNotFoundException, ServerException, TooManyRecordsFoundException, VersionNotInstalledException

      public class ZException
      extends java.lang.Exception

  This is a special Exception that contains a translated message to be displayed in the GUI. Note that the translation is dynamically performed when `getMessage()` is called.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZException(ErrorType errType, NlsKey trKey, java.lang.Object... args)`
    `ZException(ErrorType errType, java.lang.Throwable cause)`
    `ZException(ErrorType errType, java.lang.Throwable cause, NlsKey trKey, java.lang.Object... args)`
    `ZException(NlsKey trKey, java.lang.Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorType` | `getErrorType()`
    `java.lang.String` | `getMessage()` Overridden to return the translated error message

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZException

          public ZException(NlsKey trKey,
                    java.lang.Object... args)

    - #### ZException

          public ZException(ErrorType errType,
                    java.lang.Throwable cause)

    - #### ZException

          public ZException(ErrorType errType,
                    NlsKey trKey,
                    java.lang.Object... args)

    - #### ZException

          public ZException(ErrorType errType,
                    java.lang.Throwable cause,
                    NlsKey trKey,
                    java.lang.Object... args)

  - ### Method Detail

    - #### getErrorType

          public ErrorType getErrorType()

    - #### getMessage

          public java.lang.String getMessage()

      Overridden to return the translated error message
      Overrides:
        `getMessage` in class `java.lang.Throwable`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.